org.richfaces.resource.optimizer.vfs.zip

## Class ZipVFSFile

- java.lang.Object
- - org.richfaces.resource.optimizer.vfs.zip.ZipVFSFile

- All Implemented Interfaces:
    VirtualFile
  Direct Known Subclasses:
    ZipVFSRoot

      public class ZipVFSFile
      extends Object
      implements VirtualFile

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZipVFSFile(ZipFile zipFile, org.richfaces.resource.optimizer.vfs.zip.ZipNode zipNode, String relativePath)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VirtualFile` | `getChild(String path)`
    `VirtualFile` | `getChild(String path, boolean chrooted)`
    `Collection<VirtualFile>` | `getChildren()`
    `InputStream` | `getInputStream()`
    `String` | `getName()`
    `String` | `getRelativePath()`
    `protected ZipFile` | `getZipFile()`
    `protected org.richfaces.resource.optimizer.vfs.zip.ZipNode` | `getZipNode()`
    `boolean` | `isDirectory()`
    `boolean` | `isFile()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ZipVFSFile

          public ZipVFSFile(ZipFile zipFile,
                            org.richfaces.resource.optimizer.vfs.zip.ZipNode zipNode,
                            String relativePath)

  - ### Method Detail

    - #### isFile

          public boolean isFile()

      Specified by:
        `isFile` in interface `VirtualFile`

    - #### isDirectory

          public boolean isDirectory()

      Specified by:
        `isDirectory` in interface `VirtualFile`

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Specified by:
        `getInputStream` in interface `VirtualFile`
      Throws:
        `IOException`

    - #### getChildren

          public Collection<VirtualFile> getChildren()

      Specified by:
        `getChildren` in interface `VirtualFile`

    - #### getChild

          public VirtualFile getChild(String path)

      Specified by:
        `getChild` in interface `VirtualFile`

    - #### getChild

          public VirtualFile getChild(String path,
                                      boolean chrooted)

      Specified by:
        `getChild` in interface `VirtualFile`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `VirtualFile`

    - #### getRelativePath

          public String getRelativePath()

      Specified by:
        `getRelativePath` in interface `VirtualFile`

    - #### getZipFile

          protected ZipFile getZipFile()

    - #### getZipNode

          protected org.richfaces.resource.optimizer.vfs.zip.ZipNode getZipNode()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.